import type { AudioBase, IAudio } from '../interfaces/core';
import { HttpClient } from '../utils/httpClient';
/**
 * The base Audio class
 * @remarks
 * Use this to initialize an audio stored in VideoDB
 */
export declare class Audio implements IAudio {
    #private;
    meta: AudioBase;
    /**
     * Initializes a VideoDB Instance
     * @param http - HttpClient object
     * @param data - Data needed to initialize an audio instance
     */
    constructor(http: HttpClient, data: AudioBase);
    /**
     * Returns an empty promise that resolves when the audio is deleted
     * @returns A promise that resolves when delete is successful
     * @throws an InvalidRequestError if the request fails
     */
    delete: () => Promise<import("../types/response").ResponseOf<Record<string, never>>>;
}
