"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Audio = void 0;
const constants_1 = require("../constants");
const { audio } = constants_1.ApiPath;
/**
 * The base Audio class
 * @remarks
 * Use this to initialize an audio stored in VideoDB
 */
class Audio {
    meta;
    #vhttp;
    /**
     * Initializes a VideoDB Instance
     * @param http - HttpClient object
     * @param data - Data needed to initialize an audio instance
     */
    constructor(http, data) {
        this.meta = data;
        this.#vhttp = http;
    }
    /**
     * Returns an empty promise that resolves when the audio is deleted
     * @returns A promise that resolves when delete is successful
     * @throws an InvalidRequestError if the request fails
     */
    delete = async () => {
        return await this.#vhttp.delete([
            audio,
            this.meta.id,
        ]);
    };
}
exports.Audio = Audio;
