"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SceneExtractionType = exports.DefaultIndexType = exports.DefaultSearchType = exports.IndexTypeValues = exports.SearchTypeValues = exports.TextStyleDefaultValues = exports.SubtitleStyleDefaultValues = exports.SubtitleAlignment = exports.SubtitleBorderStyle = void 0;
var SubtitleBorderStyle;
(function (SubtitleBorderStyle) {
    SubtitleBorderStyle[SubtitleBorderStyle["noBorder"] = 1] = "noBorder";
    SubtitleBorderStyle[SubtitleBorderStyle["opaqueBox"] = 3] = "opaqueBox";
    SubtitleBorderStyle[SubtitleBorderStyle["outline"] = 4] = "outline";
})(SubtitleBorderStyle || (exports.SubtitleBorderStyle = SubtitleBorderStyle = {}));
var SubtitleAlignment;
(function (SubtitleAlignment) {
    SubtitleAlignment[SubtitleAlignment["bottomLeft"] = 1] = "bottomLeft";
    SubtitleAlignment[SubtitleAlignment["bottomCenter"] = 2] = "bottomCenter";
    SubtitleAlignment[SubtitleAlignment["bottomRight"] = 3] = "bottomRight";
    SubtitleAlignment[SubtitleAlignment["middleLeft"] = 4] = "middleLeft";
    SubtitleAlignment[SubtitleAlignment["middleCenter"] = 5] = "middleCenter";
    SubtitleAlignment[SubtitleAlignment["middleRight"] = 6] = "middleRight";
    SubtitleAlignment[SubtitleAlignment["topLeft"] = 7] = "topLeft";
    SubtitleAlignment[SubtitleAlignment["topCenter"] = 8] = "topCenter";
    SubtitleAlignment[SubtitleAlignment["topRight"] = 9] = "topRight";
})(SubtitleAlignment || (exports.SubtitleAlignment = SubtitleAlignment = {}));
exports.SubtitleStyleDefaultValues = {
    fontName: 'Arial',
    fontSize: 18,
    primaryColour: '&H00FFFFFF', // white
    secondaryColour: '&H000000FF', // blue
    outlineColour: '&H00000000', // black
    backColour: '&H00000000', // black
    bold: false,
    italic: false,
    underline: false,
    strikeOut: false,
    scaleX: 1.0,
    scaleY: 1.0,
    spacing: 0,
    angle: 0,
    borderStyle: SubtitleBorderStyle.outline,
    outline: 1.0,
    shadow: 0.0,
    alignment: SubtitleAlignment.bottomCenter,
    marginL: 10,
    marginR: 10,
    marginV: 10,
};
exports.TextStyleDefaultValues = {
    fontsize: 24,
    fontcolor: 'black',
    fontcolorExpr: '',
    alpha: 1.0,
    font: 'Sans',
    box: true,
    boxcolor: 'white',
    boxborderw: '10',
    boxw: 0,
    boxh: 0,
    lineSpacing: 0,
    textAlign: 'T',
    yAlign: 'text',
    borderw: 0,
    bordercolor: 'black',
    expansion: 'normal',
    basetime: 0,
    fixBounds: false,
    textShaping: true,
    shadowcolor: 'black',
    shadowx: 0,
    shadowy: 0,
    tabsize: 4,
    x: '(main_w-text_w)/2',
    y: '(main_h-text_h)/2',
};
var SearchTypeValues;
(function (SearchTypeValues) {
    SearchTypeValues["keyword"] = "keyword";
    SearchTypeValues["semantic"] = "semantic";
})(SearchTypeValues || (exports.SearchTypeValues = SearchTypeValues = {}));
var IndexTypeValues;
(function (IndexTypeValues) {
    IndexTypeValues["spoken"] = "spoken";
    IndexTypeValues["scene"] = "scene";
})(IndexTypeValues || (exports.IndexTypeValues = IndexTypeValues = {}));
exports.DefaultSearchType = SearchTypeValues.semantic;
exports.DefaultIndexType = IndexTypeValues.spoken;
exports.SceneExtractionType = {
    shotBased: 'shot',
    timeBased: 'time',
};
