import type { ImageBase, IImage } from '../interfaces/core';
import { HttpClient } from '../utils/httpClient';
/**
 * The base Image class
 * @remarks
 * Use this to initialize an Image stored in VideoDB
 */
export declare class Image implements IImage {
    #private;
    meta: ImageBase;
    /**
     * Initializes a VideoDB Instance
     * @param http - HttpClient object
     * @param data - Data needed to initialize an Image instance
     */
    constructor(http: HttpClient, data: ImageBase);
    /**
     * Returns an empty promise that resolves when the image is deleted
     * @returns A promise that resolves when delete is successful
     * @throws an InvalidRequestError if the request fails
     */
    delete: () => Promise<import("../types/response").ResponseOf<Record<string, never>>>;
}
