import type { Search } from '../../interfaces/core';
import type { SearchType } from '../../types/search';
import type { KeywordCollectionSearch, KeywordVideoSearch, SemanticCollectionSearch, SemanticVideoSearch } from '../../types/search';
import { HttpClient } from '../../utils/httpClient';
import { SearchResult } from './searchResult';
declare class SemanticSearch implements Search<SemanticVideoSearch, SemanticCollectionSearch> {
    #private;
    constructor(http: HttpClient);
    private getRequestData;
    searchInsideVideo: (data: SemanticVideoSearch) => Promise<SearchResult>;
    searchInsideCollection: (data: SemanticCollectionSearch) => Promise<SearchResult>;
}
declare class KeywordSearch implements Search<KeywordVideoSearch, KeywordCollectionSearch> {
    #private;
    constructor(http: HttpClient);
    private getRequestData;
    searchInsideVideo: (data: KeywordVideoSearch) => Promise<SearchResult>;
    searchInsideCollection: (data: KeywordCollectionSearch) => Promise<never>;
}
export declare class SearchFactory {
    private vhttp;
    constructor(http: HttpClient);
    getSearch(type: SearchType): SemanticSearch | KeywordSearch;
}
export {};
