"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Shot = void 0;
const constants_1 = require("../constants");
const { video, stream } = constants_1.ApiPath;
/**
 * A shot is a clip of a specific video
 */
class Shot {
    meta;
    #vhttp;
    constructor(http, meta) {
        this.meta = meta;
        this.#vhttp = http;
    }
    /**
     * Get the streaming URL for the shot
     * @returns A streaming URL for the shot
     */
    generateStream = async () => {
        const body = {
            length: this.meta.videoLength,
            timeline: [[this.meta.start, this.meta.end]],
        };
        const res = await this.#vhttp.post([video, this.meta.videoId, stream], body);
        return res.data.stream_url;
    };
}
exports.Shot = Shot;
