"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvalidRequestError = exports.AuthenticationError = exports.VideodbError = exports.VdbBaseError = void 0;
class VdbBaseError extends Error {
}
exports.VdbBaseError = VdbBaseError;
class VideodbError extends VdbBaseError {
    constructor(message, cause) {
        super(`VideoDB Error: ${message}`, { cause: cause });
    }
}
exports.VideodbError = VideodbError;
class AuthenticationError extends VdbBaseError {
    constructor(cause) {
        super('Authentication Error: ', { cause: cause || 'Invalid API Key' });
    }
}
exports.AuthenticationError = AuthenticationError;
class InvalidRequestError extends VdbBaseError {
    response;
    constructor(response, cause) {
        super(`Error ${response.status}: ${response.statusText}`, { cause });
        this.response = response;
    }
}
exports.InvalidRequestError = InvalidRequestError;
