import type { ResponseOf } from '../types/response';
import { AxiosRequestConfig } from 'axios';
/**
 * Api initialization to make axios config
 * options available to all child classes
 * internally.
 */
export declare class HttpClient {
    #private;
    protected constructor(baseURL: string, apiKey: string);
    parseResponse: <D>(data: ResponseOf<D>) => ResponseOf<D>;
    get: <R>(urlSeries: string[], options?: AxiosRequestConfig<undefined>) => Promise<ResponseOf<R>>;
    delete: <R>(urlSeries: string[], options?: AxiosRequestConfig<undefined>) => Promise<ResponseOf<R>>;
    post: <R, D = undefined>(urlSeries: string[], data?: D | undefined, options?: AxiosRequestConfig<D> | undefined) => Promise<ResponseOf<R>>;
    put: <R, D = undefined>(urlSeries: string[], data?: D | undefined, options?: AxiosRequestConfig<D> | undefined) => Promise<ResponseOf<R>>;
    patch: <R, D = undefined>(urlSeries: string[], data?: D | undefined, options?: AxiosRequestConfig<D> | undefined) => Promise<ResponseOf<R>>;
}
