import type { UploadConfig } from '../types/collection';
import { UploadJob } from '../utils/job';
import { HttpClient } from './httpClient';
/**
 * Get an upload URL. Use this to upload your video to
 * VideoDB's storage.
 * @returns A URL that can be used to upload a video.
 * The uploaded video will be available on the same URL
 * @see This won't save directly save your
 * video to the database. Call uploadVideoByUrl once
 * with the returned URL for the video to be saved.
 */
export declare const getUploadUrl: (http: HttpClient, collectionId: string) => Promise<string>;
/**
 * @param filePath - absolute path to a file
 * @param url - a url to a pre-uploaded file
 * @param callbackUrl-  A url that will be called once upload is finished
 * @param name - Name of the file
 * @param description - Description of the file
 */
export declare const uploadToServer: (http: HttpClient, collectionId: string, data: UploadConfig) => Promise<UploadJob | undefined>;
